Skip to main content
GET
/
v1
/
etf
/
holdings
ETF Holdings
curl --request GET \
  --url https://api.chicago.global/v1/etf/holdings \
  --header 'Authorization: Bearer <token>'
[
  {
    "symbol": "NVDA.O",
    "weight": 7.31,
    "reweight": 7.43,
    "value": 2.5,
    "quality": 10,
    "momentum": 10,
    "defensive": 7,
    "tactical": 7,
    "total": 7.9,
    "recommendation": "BUY"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.chicago.global/llms.txt

Use this file to discover all available pages before exploring further.

Get the top holdings of an ETF with their weights and Parallax factor scores.

Query Parameters

ParameterTypeRequiredDescription
symbolstringYesETF symbol (e.g., SPY, QQQ). Comma-separated for multiple.
limitintegerNoMaximum number of holdings to return (default: 50)

Response

Returns an array of holdings sorted by weight (descending):
[
  {
    "symbol": "NVDA.O",
    "weight": 7.31,
    "reweight": 7.43,
    "value": 2.5,
    "quality": 10.0,
    "momentum": 10.0,
    "defensive": 7.0,
    "tactical": 7.0,
    "total": 7.9,
    "recommendation": "BUY"
  },
  {
    "symbol": "AAPL.O",
    "weight": 6.63,
    "reweight": 6.74,
    "value": 2.0,
    "quality": 10.0,
    "momentum": 7.5,
    "defensive": 9.5,
    "tactical": 7.0,
    "total": 6.0,
    "recommendation": "HOLD"
  },
  {
    "symbol": "MSFT.O",
    "weight": 4.96,
    "reweight": 5.04,
    "value": 2.0,
    "quality": 10.0,
    "momentum": 5.0,
    "defensive": 9.0,
    "tactical": 5.0,
    "total": 5.2,
    "recommendation": "HOLD"
  }
]

Key Fields

FieldDescription
symbolHolding RIC
weightHolding weight in the ETF (%)
reweightNormalized weight across scored holdings only (%)
value / quality / momentum / defensive / tacticalParallax factor scores (0-10)
totalComposite Parallax score
recommendationSTRONG BUY, BUY, HOLD, SELL, STRONG SELL

Example

curl "https://api.chicago.global/v1/etf/holdings?symbol=SPY&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Query Parameters

symbol
string
required

ETF symbol (e.g., SPY, QQQ). Comma-separated for multiple.

limit
integer
default:50

Maximum number of holdings to return

Response

ETF holdings retrieved successfully

symbol
string

Holding RIC

weight
number

Holding weight in the ETF (%)

reweight
number

Normalized weight across scored holdings only (%)

value
number

Parallax value score (0-10)

quality
number

Parallax quality score (0-10)

momentum
number

Parallax momentum score (0-10)

defensive
number

Parallax defensive score (0-10)

tactical
number

Parallax tactical score (0-10)

total
number

Composite Parallax score

recommendation
string

STRONG BUY, BUY, HOLD, SELL, STRONG SELL